org.apache.ignite.spi.communication.tcp.internal

## Class FirstConnectionPolicy

- java.lang.Object
- - org.apache.ignite.spi.communication.tcp.internal.FirstConnectionPolicy

All Implemented Interfaces:
  ConnectionPolicy

    public class FirstConnectionPolicy
    extends Object
    implements ConnectionPolicy

First connection policy.

### Constructor Summary

Constructors
Constructor and Description
`FirstConnectionPolicy()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `connectionIndex()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FirstConnectionPolicy

    public FirstConnectionPolicy()

### Method Detail

#### connectionIndex

    public int connectionIndex()

Specified by:
  `connectionIndex` in interface `ConnectionPolicy`
Returns:
  Index from 0 to max int. Usually thread connection index.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022